package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.GrupoContratoDAO;
import com.rjconsultores.ventaboletos.entidad.GrupoContrato;

@SuppressWarnings("unchecked")
@Repository("grupoContratoDAO")
public class GrupoContratoHibernateDAO extends GenericHibernateDAO<GrupoContrato, Long> implements GrupoContratoDAO {

    @Autowired
    public GrupoContratoHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

	@Override
    public List<GrupoContrato> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

        return c.list();
    }

    public List<GrupoContrato> buscar(String descgrupo) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.add(Restrictions.eq("nomeGrupoContrato", descgrupo));

        return c.list();
    }
}
